#ifndef XSTREAMSOURCEINFO_H
#define XSTREAMSOURCEINFO_H

#include "xasset.h"

class XStreamSourceInfo : public XAsset
{
public:
    XStreamSourceInfo();
    ~XStreamSourceInfo();

    virtual void Clear() override;
    virtual void ParseData(QDataStream* aStream) override;

private:
    quint16 mStream;
    quint16 mOffset;
    uint mType;
};

#endif // XSTREAMSOURCEINFO_H
